Change in ...libosmo-sccp[master]: manuals: Add script to regenerate vty/counter documentation

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:43:18 UTC 2019


daniel has submitted this change and it was merged. ( https://gerrit.osmocom.org/c/libosmo-sccp/+/14518 )

Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Related: OS#1700
Change-Id: I9978d04fec68d6a8e17caa3c88c1020cf3a348ac
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)

Approvals:
  Jenkins Builder: Verified
  pespin: Looks good to me, approved



diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 68c2d86..6707f07 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmostp-usermanual.adoc \
     osmostp-usermanual-docinfo.xml \
     osmostp-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..6e7ce30
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_STP_BRANCH=$COMMIT ./regen_doc.sh osmo-stp 4239 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/osmo-stp_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/libosmo-sccp/+/14518
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: libosmo-sccp
Gerrit-Branch: master
Gerrit-Change-Id: I9978d04fec68d6a8e17caa3c88c1020cf3a348ac
Gerrit-Change-Number: 14518
Gerrit-PatchSet: 2
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/2fa0b06e/attachment.html>


More information about the gerrit-log mailing list